Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454674 - triple-width characters break mutt thread tree display in gnome-terminal
Summary: triple-width characters break mutt thread tree display in gnome-terminal
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: vte
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 17:20 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2010-06-28 10:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 10:40:46 UTC


Attachments (Terms of Use)
Mutt in gnome-terminal screenshot showing the problem (deleted)
2008-07-09 17:20 UTC, Dominik 'Rathann' Mierzejewski
no flags Details

Description Dominik 'Rathann' Mierzejewski 2008-07-09 17:20:00 UTC
Description of problem:
If sender's name contains triple-width characters (for example, সঙ), the
vertical lines in the thread tree display become displaced to the right.

Version-Release number of selected component (if applicable):
mutt-1.5.18-2.fc8

How reproducible:
Always.

Steps to Reproduce:
1. get fedora-devel-list mailbox for July
2. enable threaded display of mailbox contents
3. scroll down to one of Sankarshan's mails (for example, Message-ID:
<486CAE40.2030801@gmail.com>)
  
Actual results:
See attached screenshot.

Expected results:
Vertical tree lines should not be displaced.

Comment 1 Dominik 'Rathann' Mierzejewski 2008-07-09 17:20:00 UTC
Created attachment 311387 [details]
Mutt in gnome-terminal screenshot showing the problem

Comment 2 Miroslav Lichvar 2008-07-10 11:33:40 UTC
That's a terminal emulator issue, it doesn't support Indic scripts. Very hard to
fix.

Comment 3 Dominik 'Rathann' Mierzejewski 2008-07-10 20:38:14 UTC
(In reply to comment #2)
> That's a terminal emulator issue, it doesn't support Indic scripts. Very hard to
> fix.

That may very well be. For example, in mc the triple-width characters are
displayed as if they were double-width.


Comment 4 Dominik 'Rathann' Mierzejewski 2008-07-10 20:39:01 UTC
Version-Release number of selected component (if applicable):
vte-0.16.9-1.fc8

Comment 5 Bug Zapper 2008-11-26 10:59:04 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-01-09 06:40:06 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Dominik 'Rathann' Mierzejewski 2009-01-09 19:04:38 UTC
Still reproducible on F-10.

Comment 8 Behdad Esfahbod 2009-01-09 20:26:39 UTC
As far as Unicode specs are concerned there is no such that as a triple-width character!  And where mutt places chars is most probably a mutt issue, not vte.

Keeping the bug open here doesn't fix it.

Comment 9 Dominik 'Rathann' Mierzejewski 2009-01-09 20:42:29 UTC
Midnight Commander (mc) also has display issues, so it's not a mutt-only problem.

Comment 10 Behdad Esfahbod 2009-01-09 20:57:54 UTC
Those are simply not internationalized apps, so they assume the char takes one cell, while vte knows that it takes two cells.

Comment 11 Miroslav Lichvar 2009-01-13 12:24:29 UTC
The applications just use wcwidth(). To fix this, the values returned by glibc have to agree with terminal emulator, but this will be very hard for Indic scripts.

Comment 12 Bug Zapper 2009-11-18 12:36:03 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Dominik 'Rathann' Mierzejewski 2009-12-01 17:00:08 UTC
Still reproducible on F-11.

Comment 14 Cathryn Mataga 2009-12-23 09:45:55 UTC
I was trying to figure out why indic scripts were broken in my little console app, and I found this bug here.  According to this article written back in 1998, the problem is with Xwindows.  This guy says their fonts need to be extended so the characters can combine properly.  I guess this never happened in the last 10 years.   A lot of old stuff has to change to make this happen, but, like, there are a billion or so people who use these fonts.  It's an actual problem.  I'm sure this is an maddening glitch.

http://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html

The BDF format used by X11 pixel fonts does not have any standardized way of including a character/glyph mapping table, and neither do current BDF editors such as xmbdfed or X servers. The Pango rendering library developed for the Gnome project can make use of BDF glyph fonts, but it requires the corresponding character/glyph mapping table in a separate client-side file. The X11 standards currently provide no support for transmitting such mapping tables over the X11 protocol.

I'm not really sure myself, though, couldn't a terminal emulator with ncurses compatibility use Pango to render Indic characters just like all other gtk apps?   What am I missing here exactly?

Comment 15 Bug Zapper 2010-04-27 12:08:20 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Bug Zapper 2010-06-28 10:40:46 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.